# -*- coding: utf-8 -*-
from openerp.http import request as r

_MODEL = 'product.category'

def get_product_category_all():
    return [
        {
            'id': category.id,
            'name': category.display_name,
            'parent_id': category.parent_id.id,
        } for category in r.env[_MODEL].search([])
    ]

def get_product_category_expense():
    domain = [
        ('expense','=', True)
    ]
    return [
        {
            'id': category.id,
            'name': category.display_name,
            'parent_id': category.parent_id.id,
        } for category in r.env[_MODEL].search(domain)
    ]
